-- (c) Copyright 1995-2020 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: xilinx.com:module_ref:DirectCurrentControl:1.0
-- IP Revision: 1

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY top_DirectCurrentControl_1_0 IS
  PORT (
    meas_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    ref_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    tol_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    delay_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    err_out : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    adc_done_pulse_in : IN STD_LOGIC;
    data_valid_pulse_in : IN STD_LOGIC;
    pwm_out : OUT STD_LOGIC;
    clk_in : IN STD_LOGIC
  );
END top_DirectCurrentControl_1_0;

ARCHITECTURE top_DirectCurrentControl_1_0_arch OF top_DirectCurrentControl_1_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF top_DirectCurrentControl_1_0_arch: ARCHITECTURE IS "yes";
  COMPONENT DirectCurrentControl IS
    PORT (
      meas_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      ref_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      tol_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      delay_in : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      err_out : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      adc_done_pulse_in : IN STD_LOGIC;
      data_valid_pulse_in : IN STD_LOGIC;
      pwm_out : OUT STD_LOGIC;
      clk_in : IN STD_LOGIC
    );
  END COMPONENT DirectCurrentControl;
  ATTRIBUTE IP_DEFINITION_SOURCE : STRING;
  ATTRIBUTE IP_DEFINITION_SOURCE OF top_DirectCurrentControl_1_0_arch: ARCHITECTURE IS "module_ref";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER OF clk_in: SIGNAL IS "XIL_INTERFACENAME clk, FREQ_HZ 250000000, PHASE 0, CLK_DOMAIN top_IXIP_0_0_clk_250_mhz, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF clk_in: SIGNAL IS "xilinx.com:signal:clock:1.0 clk CLK";
BEGIN
  U0 : DirectCurrentControl
    PORT MAP (
      meas_in => meas_in,
      ref_in => ref_in,
      tol_in => tol_in,
      delay_in => delay_in,
      err_out => err_out,
      adc_done_pulse_in => adc_done_pulse_in,
      data_valid_pulse_in => data_valid_pulse_in,
      pwm_out => pwm_out,
      clk_in => clk_in
    );
END top_DirectCurrentControl_1_0_arch;
