-- (c) Copyright 1995-2020 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: imperix.ch:ix:IXIP:3.4_BETA
-- IP Revision: 1

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY top_IXIP_0_0 IS
  PORT (
    ADC_reg_00 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_01 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_02 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_03 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_04 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_05 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_06 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_07 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_08 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_09 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_10 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_11 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_12 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_13 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_14 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_15 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_16 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_17 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_18 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_19 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_20 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_21 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_22 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    ADC_reg_23 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    DDR_addr : INOUT STD_LOGIC_VECTOR(14 DOWNTO 0);
    DDR_ba : INOUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    DDR_cas_n : INOUT STD_LOGIC;
    DDR_ck_n : INOUT STD_LOGIC;
    DDR_ck_p : INOUT STD_LOGIC;
    DDR_cke : INOUT STD_LOGIC;
    DDR_cs_n : INOUT STD_LOGIC;
    DDR_dm : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    DDR_dq : INOUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    DDR_dqs_n : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    DDR_dqs_p : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    DDR_odt : INOUT STD_LOGIC;
    DDR_ras_n : INOUT STD_LOGIC;
    DDR_reset_n : INOUT STD_LOGIC;
    DDR_we_n : INOUT STD_LOGIC;
    FIXED_IO_ddr_vrn : INOUT STD_LOGIC;
    FIXED_IO_ddr_vrp : INOUT STD_LOGIC;
    FIXED_IO_mio : INOUT STD_LOGIC_VECTOR(53 DOWNTO 0);
    FIXED_IO_ps_clk : INOUT STD_LOGIC;
    FIXED_IO_ps_porb : INOUT STD_LOGIC;
    FIXED_IO_ps_srstb : INOUT STD_LOGIC;
    SBI_reg_00 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_01 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_02 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_03 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_04 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_05 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_06 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_07 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_08 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_09 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_10 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_11 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_12 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_13 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_14 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_15 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_16 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_17 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_18 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_19 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_20 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_21 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_22 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_23 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_24 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_25 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_26 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_27 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_28 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_29 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_30 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_31 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_32 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_33 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_34 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_35 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_36 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_37 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_38 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_39 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_40 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_41 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_42 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_43 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_44 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_45 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_46 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_47 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_48 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_49 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_50 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_51 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_52 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_53 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_54 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_55 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_56 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_57 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_58 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_59 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_60 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_61 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_62 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBI_reg_63 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_00 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_01 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_02 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_03 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_04 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_05 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_06 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_07 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_08 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_09 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_10 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_11 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_12 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_13 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_14 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_15 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_16 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_17 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_18 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_19 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_20 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_21 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_22 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_23 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_24 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_25 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_26 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_27 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_28 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_29 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_30 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_31 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_32 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_33 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_34 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_35 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_36 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_37 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_38 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_39 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_40 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_41 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_42 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_43 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_44 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_45 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_46 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_47 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_48 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_49 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_50 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_51 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_52 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_53 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_54 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_55 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_56 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_57 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_58 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_59 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_60 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_61 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_62 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    SBO_reg_63 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    adc_done_pulse : OUT STD_LOGIC;
    clk_250_mhz : OUT STD_LOGIC;
    data_valid_pulse : OUT STD_LOGIC;
    flt : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    gpi : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    gpo : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
    private_in : IN STD_LOGIC_VECTOR(66 DOWNTO 0);
    private_out : OUT STD_LOGIC_VECTOR(44 DOWNTO 0);
    pwm : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    read_pulse : OUT STD_LOGIC;
    sampling_pulse : OUT STD_LOGIC;
    sync_pulse : OUT STD_LOGIC;
    sb_pwm : IN STD_LOGIC_VECTOR(31 DOWNTO 0)
  );
END top_IXIP_0_0;

ARCHITECTURE top_IXIP_0_0_arch OF top_IXIP_0_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF top_IXIP_0_0_arch: ARCHITECTURE IS "yes";
  COMPONENT ip_imp_OWDWE0 IS
    PORT (
      ADC_reg_00 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_01 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_02 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_03 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_04 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_05 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_06 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_07 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_08 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_09 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_10 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_11 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_12 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_13 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_14 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_15 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_16 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_17 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_18 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_19 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_20 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_21 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_22 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      ADC_reg_23 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      DDR_addr : INOUT STD_LOGIC_VECTOR(14 DOWNTO 0);
      DDR_ba : INOUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      DDR_cas_n : INOUT STD_LOGIC;
      DDR_ck_n : INOUT STD_LOGIC;
      DDR_ck_p : INOUT STD_LOGIC;
      DDR_cke : INOUT STD_LOGIC;
      DDR_cs_n : INOUT STD_LOGIC;
      DDR_dm : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      DDR_dq : INOUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      DDR_dqs_n : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      DDR_dqs_p : INOUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      DDR_odt : INOUT STD_LOGIC;
      DDR_ras_n : INOUT STD_LOGIC;
      DDR_reset_n : INOUT STD_LOGIC;
      DDR_we_n : INOUT STD_LOGIC;
      FIXED_IO_ddr_vrn : INOUT STD_LOGIC;
      FIXED_IO_ddr_vrp : INOUT STD_LOGIC;
      FIXED_IO_mio : INOUT STD_LOGIC_VECTOR(53 DOWNTO 0);
      FIXED_IO_ps_clk : INOUT STD_LOGIC;
      FIXED_IO_ps_porb : INOUT STD_LOGIC;
      FIXED_IO_ps_srstb : INOUT STD_LOGIC;
      SBI_reg_00 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_01 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_02 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_03 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_04 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_05 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_06 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_07 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_08 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_09 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_10 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_11 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_12 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_13 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_14 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_15 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_16 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_17 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_18 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_19 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_20 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_21 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_22 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_23 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_24 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_25 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_26 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_27 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_28 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_29 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_30 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_31 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_32 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_33 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_34 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_35 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_36 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_37 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_38 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_39 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_40 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_41 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_42 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_43 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_44 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_45 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_46 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_47 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_48 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_49 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_50 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_51 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_52 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_53 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_54 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_55 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_56 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_57 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_58 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_59 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_60 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_61 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_62 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBI_reg_63 : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_00 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_01 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_02 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_03 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_04 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_05 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_06 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_07 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_08 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_09 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_10 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_11 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_12 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_13 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_14 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_15 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_16 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_17 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_18 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_19 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_20 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_21 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_22 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_23 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_24 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_25 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_26 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_27 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_28 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_29 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_30 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_31 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_32 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_33 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_34 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_35 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_36 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_37 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_38 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_39 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_40 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_41 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_42 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_43 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_44 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_45 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_46 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_47 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_48 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_49 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_50 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_51 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_52 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_53 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_54 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_55 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_56 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_57 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_58 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_59 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_60 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_61 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_62 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      SBO_reg_63 : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      adc_done_pulse : OUT STD_LOGIC;
      clk_250_mhz : OUT STD_LOGIC;
      data_valid_pulse : OUT STD_LOGIC;
      flt : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      gpi : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      gpo : OUT STD_LOGIC_VECTOR(15 DOWNTO 0);
      private_in : IN STD_LOGIC_VECTOR(66 DOWNTO 0);
      private_out : OUT STD_LOGIC_VECTOR(44 DOWNTO 0);
      pwm : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      read_pulse : OUT STD_LOGIC;
      sampling_pulse : OUT STD_LOGIC;
      sync_pulse : OUT STD_LOGIC;
      sb_pwm : IN STD_LOGIC_VECTOR(31 DOWNTO 0)
    );
  END COMPONENT ip_imp_OWDWE0;
  ATTRIBUTE IP_DEFINITION_SOURCE : STRING;
  ATTRIBUTE IP_DEFINITION_SOURCE OF top_IXIP_0_0_arch: ARCHITECTURE IS "IPI";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER OF clk_250_mhz: SIGNAL IS "XIL_INTERFACENAME CLK.CLK_250_MHZ, FREQ_HZ 250000000, PHASE 0, ASSOCIATED_BUSIF SBI:SBO:ADC, CLK_DOMAIN top_IXIP_0_0_clk_250_mhz, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF clk_250_mhz: SIGNAL IS "xilinx.com:signal:clock:1.0 CLK.CLK_250_MHZ CLK";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_63: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_63";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_62: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_62";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_61: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_61";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_60: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_60";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_59: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_59";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_58: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_58";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_57: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_57";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_56: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_56";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_55: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_55";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_54: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_54";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_53: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_53";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_52: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_52";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_51: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_51";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_50: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_50";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_49: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_49";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_48: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_48";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_47: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_47";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_46: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_46";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_45: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_45";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_44: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_44";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_43: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_43";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_42: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_42";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_41: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_41";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_40: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_40";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_39: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_39";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_38: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_38";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_37: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_37";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_36: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_36";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_35: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_35";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_34: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_34";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_33: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_33";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_32: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_32";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_31: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_31";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_30: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_30";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_29: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_29";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_28: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_28";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_27: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_27";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_26: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_26";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_25: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_25";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_24: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_24";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_23: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_23";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_22: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_22";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_21: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_21";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_20: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_20";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_19: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_19";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_18: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_18";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_17: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_17";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_16: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_16";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_15: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_15";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_14: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_14";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_13: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_13";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_12: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_12";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_11: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_11";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_10: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_10";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_09: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_09";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_08: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_08";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_07: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_07";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_06: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_06";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_05: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_05";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_04: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_04";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_03: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_03";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_02: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_02";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_01: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_01";
  ATTRIBUTE X_INTERFACE_INFO OF SBO_reg_00: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBO reg_00";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_63: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_63";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_62: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_62";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_61: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_61";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_60: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_60";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_59: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_59";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_58: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_58";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_57: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_57";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_56: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_56";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_55: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_55";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_54: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_54";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_53: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_53";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_52: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_52";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_51: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_51";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_50: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_50";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_49: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_49";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_48: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_48";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_47: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_47";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_46: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_46";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_45: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_45";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_44: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_44";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_43: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_43";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_42: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_42";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_41: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_41";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_40: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_40";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_39: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_39";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_38: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_38";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_37: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_37";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_36: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_36";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_35: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_35";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_34: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_34";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_33: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_33";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_32: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_32";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_31: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_31";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_30: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_30";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_29: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_29";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_28: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_28";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_27: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_27";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_26: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_26";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_25: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_25";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_24: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_24";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_23: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_23";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_22: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_22";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_21: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_21";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_20: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_20";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_19: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_19";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_18: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_18";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_17: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_17";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_16: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_16";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_15: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_15";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_14: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_14";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_13: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_13";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_12: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_12";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_11: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_11";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_10: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_10";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_09: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_09";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_08: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_08";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_07: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_07";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_06: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_06";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_05: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_05";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_04: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_04";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_03: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_03";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_02: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_02";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_01: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_01";
  ATTRIBUTE X_INTERFACE_INFO OF SBI_reg_00: SIGNAL IS "imperix.ch:ix:user_regs:1.0 SBI reg_00";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_ps_srstb: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_SRSTB";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_ps_porb: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_PORB";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_ps_clk: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO PS_CLK";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_mio: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO MIO";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_ddr_vrp: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO DDR_VRP";
  ATTRIBUTE X_INTERFACE_PARAMETER OF FIXED_IO_ddr_vrn: SIGNAL IS "XIL_INTERFACENAME FIXED_IO, CAN_DEBUG false";
  ATTRIBUTE X_INTERFACE_INFO OF FIXED_IO_ddr_vrn: SIGNAL IS "xilinx.com:display_processing_system7:fixedio:1.0 FIXED_IO DDR_VRN";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_we_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR WE_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_reset_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR RESET_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_ras_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR RAS_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_odt: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR ODT";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_dqs_p: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR DQS_P";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_dqs_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR DQS_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_dq: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR DQ";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_dm: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR DM";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_cs_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR CS_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_cke: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR CKE";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_ck_p: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR CK_P";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_ck_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR CK_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_cas_n: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR CAS_N";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_ba: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR BA";
  ATTRIBUTE X_INTERFACE_PARAMETER OF DDR_addr: SIGNAL IS "XIL_INTERFACENAME DDR, TIMEPERIOD_PS 1250, MEMORY_TYPE COMPONENTS, DATA_WIDTH 8, CS_ENABLED true, DATA_MASK_ENABLED true, SLOT Single, MEM_ADDR_MAP ROW_COLUMN_BANK, BURST_LENGTH 8, AXI_ARBITRATION_SCHEME TDM, CAS_LATENCY 11, CAS_WRITE_LATENCY 11, CAN_DEBUG false";
  ATTRIBUTE X_INTERFACE_INFO OF DDR_addr: SIGNAL IS "xilinx.com:interface:ddrx:1.0 DDR ADDR";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_23: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_23";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_22: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_22";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_21: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_21";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_20: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_20";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_19: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_19";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_18: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_18";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_17: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_17";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_16: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_16";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_15: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_15";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_14: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_14";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_13: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_13";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_12: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_12";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_11: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_11";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_10: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_10";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_09: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_09";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_08: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_08";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_07: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_07";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_06: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_06";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_05: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_05";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_04: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_04";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_03: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_03";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_02: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_02";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_01: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_01";
  ATTRIBUTE X_INTERFACE_INFO OF ADC_reg_00: SIGNAL IS "imperix.ch:ix:user_regs:1.0 ADC reg_00";
BEGIN
  U0 : ip_imp_OWDWE0
    PORT MAP (
      ADC_reg_00 => ADC_reg_00,
      ADC_reg_01 => ADC_reg_01,
      ADC_reg_02 => ADC_reg_02,
      ADC_reg_03 => ADC_reg_03,
      ADC_reg_04 => ADC_reg_04,
      ADC_reg_05 => ADC_reg_05,
      ADC_reg_06 => ADC_reg_06,
      ADC_reg_07 => ADC_reg_07,
      ADC_reg_08 => ADC_reg_08,
      ADC_reg_09 => ADC_reg_09,
      ADC_reg_10 => ADC_reg_10,
      ADC_reg_11 => ADC_reg_11,
      ADC_reg_12 => ADC_reg_12,
      ADC_reg_13 => ADC_reg_13,
      ADC_reg_14 => ADC_reg_14,
      ADC_reg_15 => ADC_reg_15,
      ADC_reg_16 => ADC_reg_16,
      ADC_reg_17 => ADC_reg_17,
      ADC_reg_18 => ADC_reg_18,
      ADC_reg_19 => ADC_reg_19,
      ADC_reg_20 => ADC_reg_20,
      ADC_reg_21 => ADC_reg_21,
      ADC_reg_22 => ADC_reg_22,
      ADC_reg_23 => ADC_reg_23,
      DDR_addr => DDR_addr,
      DDR_ba => DDR_ba,
      DDR_cas_n => DDR_cas_n,
      DDR_ck_n => DDR_ck_n,
      DDR_ck_p => DDR_ck_p,
      DDR_cke => DDR_cke,
      DDR_cs_n => DDR_cs_n,
      DDR_dm => DDR_dm,
      DDR_dq => DDR_dq,
      DDR_dqs_n => DDR_dqs_n,
      DDR_dqs_p => DDR_dqs_p,
      DDR_odt => DDR_odt,
      DDR_ras_n => DDR_ras_n,
      DDR_reset_n => DDR_reset_n,
      DDR_we_n => DDR_we_n,
      FIXED_IO_ddr_vrn => FIXED_IO_ddr_vrn,
      FIXED_IO_ddr_vrp => FIXED_IO_ddr_vrp,
      FIXED_IO_mio => FIXED_IO_mio,
      FIXED_IO_ps_clk => FIXED_IO_ps_clk,
      FIXED_IO_ps_porb => FIXED_IO_ps_porb,
      FIXED_IO_ps_srstb => FIXED_IO_ps_srstb,
      SBI_reg_00 => SBI_reg_00,
      SBI_reg_01 => SBI_reg_01,
      SBI_reg_02 => SBI_reg_02,
      SBI_reg_03 => SBI_reg_03,
      SBI_reg_04 => SBI_reg_04,
      SBI_reg_05 => SBI_reg_05,
      SBI_reg_06 => SBI_reg_06,
      SBI_reg_07 => SBI_reg_07,
      SBI_reg_08 => SBI_reg_08,
      SBI_reg_09 => SBI_reg_09,
      SBI_reg_10 => SBI_reg_10,
      SBI_reg_11 => SBI_reg_11,
      SBI_reg_12 => SBI_reg_12,
      SBI_reg_13 => SBI_reg_13,
      SBI_reg_14 => SBI_reg_14,
      SBI_reg_15 => SBI_reg_15,
      SBI_reg_16 => SBI_reg_16,
      SBI_reg_17 => SBI_reg_17,
      SBI_reg_18 => SBI_reg_18,
      SBI_reg_19 => SBI_reg_19,
      SBI_reg_20 => SBI_reg_20,
      SBI_reg_21 => SBI_reg_21,
      SBI_reg_22 => SBI_reg_22,
      SBI_reg_23 => SBI_reg_23,
      SBI_reg_24 => SBI_reg_24,
      SBI_reg_25 => SBI_reg_25,
      SBI_reg_26 => SBI_reg_26,
      SBI_reg_27 => SBI_reg_27,
      SBI_reg_28 => SBI_reg_28,
      SBI_reg_29 => SBI_reg_29,
      SBI_reg_30 => SBI_reg_30,
      SBI_reg_31 => SBI_reg_31,
      SBI_reg_32 => SBI_reg_32,
      SBI_reg_33 => SBI_reg_33,
      SBI_reg_34 => SBI_reg_34,
      SBI_reg_35 => SBI_reg_35,
      SBI_reg_36 => SBI_reg_36,
      SBI_reg_37 => SBI_reg_37,
      SBI_reg_38 => SBI_reg_38,
      SBI_reg_39 => SBI_reg_39,
      SBI_reg_40 => SBI_reg_40,
      SBI_reg_41 => SBI_reg_41,
      SBI_reg_42 => SBI_reg_42,
      SBI_reg_43 => SBI_reg_43,
      SBI_reg_44 => SBI_reg_44,
      SBI_reg_45 => SBI_reg_45,
      SBI_reg_46 => SBI_reg_46,
      SBI_reg_47 => SBI_reg_47,
      SBI_reg_48 => SBI_reg_48,
      SBI_reg_49 => SBI_reg_49,
      SBI_reg_50 => SBI_reg_50,
      SBI_reg_51 => SBI_reg_51,
      SBI_reg_52 => SBI_reg_52,
      SBI_reg_53 => SBI_reg_53,
      SBI_reg_54 => SBI_reg_54,
      SBI_reg_55 => SBI_reg_55,
      SBI_reg_56 => SBI_reg_56,
      SBI_reg_57 => SBI_reg_57,
      SBI_reg_58 => SBI_reg_58,
      SBI_reg_59 => SBI_reg_59,
      SBI_reg_60 => SBI_reg_60,
      SBI_reg_61 => SBI_reg_61,
      SBI_reg_62 => SBI_reg_62,
      SBI_reg_63 => SBI_reg_63,
      SBO_reg_00 => SBO_reg_00,
      SBO_reg_01 => SBO_reg_01,
      SBO_reg_02 => SBO_reg_02,
      SBO_reg_03 => SBO_reg_03,
      SBO_reg_04 => SBO_reg_04,
      SBO_reg_05 => SBO_reg_05,
      SBO_reg_06 => SBO_reg_06,
      SBO_reg_07 => SBO_reg_07,
      SBO_reg_08 => SBO_reg_08,
      SBO_reg_09 => SBO_reg_09,
      SBO_reg_10 => SBO_reg_10,
      SBO_reg_11 => SBO_reg_11,
      SBO_reg_12 => SBO_reg_12,
      SBO_reg_13 => SBO_reg_13,
      SBO_reg_14 => SBO_reg_14,
      SBO_reg_15 => SBO_reg_15,
      SBO_reg_16 => SBO_reg_16,
      SBO_reg_17 => SBO_reg_17,
      SBO_reg_18 => SBO_reg_18,
      SBO_reg_19 => SBO_reg_19,
      SBO_reg_20 => SBO_reg_20,
      SBO_reg_21 => SBO_reg_21,
      SBO_reg_22 => SBO_reg_22,
      SBO_reg_23 => SBO_reg_23,
      SBO_reg_24 => SBO_reg_24,
      SBO_reg_25 => SBO_reg_25,
      SBO_reg_26 => SBO_reg_26,
      SBO_reg_27 => SBO_reg_27,
      SBO_reg_28 => SBO_reg_28,
      SBO_reg_29 => SBO_reg_29,
      SBO_reg_30 => SBO_reg_30,
      SBO_reg_31 => SBO_reg_31,
      SBO_reg_32 => SBO_reg_32,
      SBO_reg_33 => SBO_reg_33,
      SBO_reg_34 => SBO_reg_34,
      SBO_reg_35 => SBO_reg_35,
      SBO_reg_36 => SBO_reg_36,
      SBO_reg_37 => SBO_reg_37,
      SBO_reg_38 => SBO_reg_38,
      SBO_reg_39 => SBO_reg_39,
      SBO_reg_40 => SBO_reg_40,
      SBO_reg_41 => SBO_reg_41,
      SBO_reg_42 => SBO_reg_42,
      SBO_reg_43 => SBO_reg_43,
      SBO_reg_44 => SBO_reg_44,
      SBO_reg_45 => SBO_reg_45,
      SBO_reg_46 => SBO_reg_46,
      SBO_reg_47 => SBO_reg_47,
      SBO_reg_48 => SBO_reg_48,
      SBO_reg_49 => SBO_reg_49,
      SBO_reg_50 => SBO_reg_50,
      SBO_reg_51 => SBO_reg_51,
      SBO_reg_52 => SBO_reg_52,
      SBO_reg_53 => SBO_reg_53,
      SBO_reg_54 => SBO_reg_54,
      SBO_reg_55 => SBO_reg_55,
      SBO_reg_56 => SBO_reg_56,
      SBO_reg_57 => SBO_reg_57,
      SBO_reg_58 => SBO_reg_58,
      SBO_reg_59 => SBO_reg_59,
      SBO_reg_60 => SBO_reg_60,
      SBO_reg_61 => SBO_reg_61,
      SBO_reg_62 => SBO_reg_62,
      SBO_reg_63 => SBO_reg_63,
      adc_done_pulse => adc_done_pulse,
      clk_250_mhz => clk_250_mhz,
      data_valid_pulse => data_valid_pulse,
      flt => flt,
      gpi => gpi,
      gpo => gpo,
      private_in => private_in,
      private_out => private_out,
      pwm => pwm,
      read_pulse => read_pulse,
      sampling_pulse => sampling_pulse,
      sync_pulse => sync_pulse,
      sb_pwm => sb_pwm
    );
END top_IXIP_0_0_arch;
